Reply
New Member
Posts: 5
Registered: ‎06-19-2018
Kudos: 1

Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hi,

 

tried to update my raspberry unify 5.9.29-11384-1 to new version 5.10.12-11629-1. update runs without problem but I cannot connect to the unify webservice anymore.

 

 

pi@raspberrypi:~/Downloads $ sudo systemctl status unifi.service
● unifi.service - unifi
Loaded: loaded (/etc/systemd/system/unifi.service; enabled; vendor preset: enabled)
Active: active (running) since Sat 2019-02-09 14:44:08 CET; 6min ago
Process: 4100 ExecStop=/usr/lib/unifi/bin/unifi.init stop (code=exited, status=0/SUCCESS)
Process: 4172 ExecStart=/usr/lib/unifi/bin/unifi.init start (code=exited, status=0/SUCCESS)
Main PID: 4245 (jsvc)
CGroup: /system.slice/unifi.service
├─4245 unifi -cwd /usr/lib/unifi -home /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre -cp /usr/share/java
├─4246 unifi -cwd /usr/lib/unifi -home /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre -cp /usr/share/java
└─4247 unifi -cwd /usr/lib/unifi -home /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt/jre -cp /usr/share/java

Feb 09 14:43:02 raspberrypi systemd[1]: Starting unifi...
Feb 09 14:43:07 raspberrypi unifi[4246]: Feb 09, 2019 2:43:07 PM org.apache.commons.httpclient.HttpMethodDirector
INFORMATION: I/O exception (java.net.ConnectException) caught when proces
Feb 09 14:43:07 raspberrypi unifi[4246]: Feb 09, 2019 2:43:07 PM org.apache.commons.httpclient.HttpMethodDirector
INFORMATION: Retrying request
Feb 09 14:43:07 raspberrypi unifi[4246]: Feb 09, 2019 2:43:07 PM org.apache.commons.httpclient.HttpMethodDirector
INFORMATION: I/O exception (java.net.ConnectException) caught when proces
Feb 09 14:43:07 raspberrypi unifi[4246]: Feb 09, 2019 2:43:07 PM org.apache.commons.httpclient.HttpMethodDirector
INFORMATION: Retrying request
Feb 09 14:43:07 raspberrypi unifi[4246]: Feb 09, 2019 2:43:07 PM org.apache.commons.httpclient.HttpMethodDirector
INFORMATION: I/O exception (java.net.ConnectException) caught when proces
Feb 09 14:43:07 raspberrypi unifi[4246]: Feb 09, 2019 2:43:07 PM org.apache.commons.httpclient.HttpMethodDirector
INFORMATION: Retrying request
Feb 09 14:44:08 raspberrypi unifi.init[4172]: Starting Ubiquiti UniFi Controller: unifi failed!
Feb 09 14:44:08 raspberrypi systemd[1]: Started unifi.

 

Does anyone knows what's going on with the update version 5.12? My Unify Controller firmware is also the latest. Will restore my pi to the previous 5.9.29 that was running without any problems and wait for a fix. The new Unify Raspberry Version seems buggy.

 

Can anyone confirm this ?

 

regards

Frank

 

Ubiquity AP Lite with Unifi and freeradius server on a raspberry Pi 3 .
Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @shredman,

 

It is possible... update JAVA on your PI..

 


Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 5
Registered: ‎06-19-2018
Kudos: 1

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

you're right, d a m n Java update solved the problem. This is the reason why I hate Java so much. Didn't update itself with apt-get update / upgradeIcon Rolleyes

 

Thx,

Frank

Ubiquity AP Lite with Unifi and freeradius server on a raspberry Pi 3 .
Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @shredman,

 

Glad everything is up and running again Man Happy

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 4
Registered: ‎11-28-2018

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

[ Edited ]

What version of Java did you update to? I ran java -version and got this, and I still cannot access my controller:

 

java version "1.8.0_65"
Java(TM) SE Runtime Environment (build 1.8.0_65-b17)
Java HotSpot(TM) Client VM (build 25.65-b01, mixed mode)

 

Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @maxroberts22,

 

That version is OLD... follow the link I posted in my previous post. ( update to the latest JAVA 8 )

 

 

Reghards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 5
Registered: ‎06-19-2018
Kudos: 1

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

thanks fpr ypr help. Updated to 1.8.0_201 and everything is 👌

Ubiquity AP Lite with Unifi and freeradius server on a raspberry Pi 3 .
New Member
Posts: 4
Registered: ‎11-28-2018

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Still not working. Service is started with java errors. Running on Debian 9 on RPi3 Model B.

Updated Java to:

java version "1.8.0_201"
Java(TM) SE Runtime Environment (build 1.8.0_201-b09)
Java HotSpot(TM) Client VM (build 25.201-b09, mixed mode)
Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @maxroberts22,

 

What JAVA errors?

Do you mean the ones showing at the service status? ( those are cosmetic issues and don't have an impact )

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 4
Registered: ‎11-28-2018

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

What errors were you getting? My unifi service starts normally, but throws out two different errors when I check its status:

Feb 09, 2019 10:57:22 AM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
INFO: I/O exception (java.net.ConnectException) caught when processing request: Connection refused (Connection refused)
Feb 09, 2019 10:57:22 AM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
INFO: Retrying request
New Member
Posts: 4
Registered: ‎11-28-2018

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Yes, those errors. If that's not the issue, then I'm missing something else.

(update: not sure if I wasn't being patient enough, but I'm back in. Thanks for the link to the Java update procedure. Cheers!)
Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @maxroberts22,

 

Those are cosmetic issues and won't impact the controller startup...

PM me your controller logs, if your controller isn't readable

 


Regards,
Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 4
Registered: Saturday
Kudos: 1

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

This is actually a giant mess for me. Even after updating Java and confirming that

 

java version "1.8.0_201"
Java(TM) SE Runtime Environment (build 1.8.0_201-b09)
Java HotSpot(TM) Client VM (build 25.201-b09, mixed mode)

It gives me the following:

 

 

● unifi.service - unifi
   Loaded: loaded (/lib/systemd/system/unifi.service; enabled; vendor preset: enabled)
   Active: active (running) since Sat 2019-02-09 21:05:49 CET; 9s ago
  Process: 5542 ExecStop=/usr/lib/unifi/bin/unifi.init stop (code=exited, status=0/SUCCESS)
  Process: 5889 ExecStart=/usr/lib/unifi/bin/unifi.init start (code=exited, status=0/SUCCESS)
 Main PID: 5917 (jsvc)
   CGroup: /system.slice/unifi.service
           ├─5917 unifi -cwd /usr/lib/unifi -home /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt -cp /usr/share/java/commons-daemon.jar:/usr/lib/unifi/lib/ace.jar -pidfile /var/run/unifi.pid -procname unifi -
           ├─5918 unifi -cwd /usr/lib/unifi -home /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt -cp /usr/share/java/commons-daemon.jar:/usr/lib/unifi/lib/ace.jar -pidfile /var/run/unifi.pid -procname unifi -
           └─5919 unifi -cwd /usr/lib/unifi -home /usr/lib/jvm/jdk-8-oracle-arm32-vfp-hflt -cp /usr/share/java/commons-daemon.jar:/usr/lib/unifi/lib/ace.jar -pidfile /var/run/unifi.pid -procname unifi -

Feb 09 21:04:44 raspberrypi systemd[1]: Starting unifi...
Feb 09 21:04:50 raspberrypi unifi[5918]: Feb 09, 2019 9:04:50 PM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
                                         INFO: I/O exception (java.net.ConnectException) caught when processing request: Connection refused
Feb 09 21:04:50 raspberrypi unifi[5918]: Feb 09, 2019 9:04:50 PM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
                                         INFO: Retrying request
Feb 09 21:04:50 raspberrypi unifi[5918]: Feb 09, 2019 9:04:50 PM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
                                         INFO: I/O exception (java.net.ConnectException) caught when processing request: Connection refused
Feb 09 21:04:50 raspberrypi unifi[5918]: Feb 09, 2019 9:04:50 PM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
                                         INFO: Retrying request
Feb 09 21:04:50 raspberrypi unifi[5918]: Feb 09, 2019 9:04:50 PM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
                                         INFO: I/O exception (java.net.ConnectException) caught when processing request: Connection refused
Feb 09 21:04:50 raspberrypi unifi[5918]: Feb 09, 2019 9:04:50 PM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
                                         INFO: Retrying request
Feb 09 21:05:49 raspberrypi unifi.init[5889]: Starting Ubiquiti UniFi Controller: unifi failed!
Feb 09 21:05:49 raspberrypi systemd[1]: Started unifi.

So, I tried purging every java related thing ever and reinstalling it from scratch. Confirmed it was up and running and version is correct.

 

Then all I get is:

 

● unifi.service - unifi
   Loaded: loaded (/lib/systemd/system/unifi.service; enabled; vendor preset: enabled)
   Active: deactivating (stop)
  Process: 5384 ExecStart=/usr/lib/unifi/bin/unifi.init start (code=exited, status=0/SUCCESS)
Cntrl PID: 5418 (unifi.init)
   CGroup: /system.slice/unifi.service
           └─control
             └─5418 /bin/bash /usr/lib/unifi/bin/unifi.init stop

Feb 09 20:58:59 raspberrypi systemd[1]: Starting unifi...
Feb 09 20:58:59 raspberrypi unifi.init[5384]: Starting Ubiquiti UniFi Controller: unifiCannot locate Java Home
Feb 09 20:59:00 raspberrypi unifi.init[5384]:  failed!

It seems Unifi is adamant to read stuff from the outdated package oracle-java8-jdk and refuses to use the new java-8-oracle even after switching using:

 

 

sudo update-java-alternatives -s java-8-oracle

 

 

Or even using

 

sudo apt-get install oracle-java8-set-default

 

 

Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @Viscerous,

 

Welcome to the community!

 

What is the output of the following commands?

 

dpkg -l | grep oracle
dpkg -l | grep openjdk

 

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 4
Registered: Saturday
Kudos: 1

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

dpkg -l | grep oracle

Returns the following:

ii  oracle-java8-installer                8u201-1~webupd8~1                 all          Oracle Java(TM) Development Kit (JDK) 8
ii  oracle-java8-jdk                      8u65                              armhf        Java™ Platform, Standard Edition 8 Development Kit
pi  oracle-java8-set-default              8u201-1~webupd8~1                 all          Set Oracle JDK 8 as default Java

The other one returns nothing as expected. I could remove the original oracle-java8-jdk package but obviously then I'm back to Unifi not finding Java Home.

Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @Viscerous,

 

Run the following commands.

service unifi stop
apt purge oracle-java8-jdk -y
sed -i 's/^JAVA_HOME/#JAVA_HOME/' /etc/default/unifi
echo "JAVA_HOME="$( readlink -f "$( which java )" | sed "s:bin/.*$::" )"" >> /etc/default/unifi
service unifi start

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 4
Registered: Saturday
Kudos: 1

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Alright, I got to this part:

service unifi stop
apt purge oracle-java8-jdk -y
sed -i 's/^JAVA_HOME/#JAVA_HOME/' /etc/default/unifi

But with sudo

echo "JAVA_HOME="$( readlink -f "$( which java )" | sed "s:bin/.*$::" )"" >> /etc/default/unifi

 Gave me a permission denied. Regardless though, I tried starting it up like that and it seemed to work, so that's good enough for me. Thanks!

 

PS. Your response time is serious.

Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @Viscerous,

 

Login as root user and execute the command once more.

su

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 4
Registered: Saturday
Kudos: 1

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Alright, I executed that command on root but I'm honestly not sure what it did. Either way it was already working so it's all good.

Senior Member
Posts: 16,020
Registered: ‎08-04-2017
Kudos: 2913
Solutions: 791

Re: Raspberry Unify Update to 5.10.12-11629-1 not posssible ??

Hello @Viscerous,

 

Awesome, thanks for reporting back!

 


Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
Reply